@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Titan+One&display=swap');

:root {
    --primary-color: #f9a8d4;
    --secondary-color: #fcd2df;
    --background-color: #F0FFF0;
    --text-color: #333333;
    --font-title: 'Titan One', cursive;
    --font-body: 'Inter', sans-serif;
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
    width: 100%;
    height: 100svh;
    background-color: var(--background-color);
    color: var(--text-color);
    font-family: var(--font-body);
}

h1 {
    font-size: calc(3rem + 3svw);
    font-family: var(--font-title);
}

h2 {
    color: var(--primary-color);
    font-size: calc(2rem + 2svw);
    font-family: var(--font-title);
}

h3 {
    font-size: calc(1rem + 1.5svw);
    font-family: var(--font-body);
}


p {
    font-size: calc(1rem + 0.5svw);
    font-family: var(--font-body);
}

.text-shadow {
    text-shadow:0 1px 2px rgba(0, 0, 0, 0.18);    
}
.box-shadow {
    box-shadow: rgba(0,0,0,0.05) 0px 1px 2px 0px,rgba(0,0,0,0.04) 0px 2px 3px 0px,rgba(0,0,0,0.03) 0px 6px 6px 0px,rgba(0,0,0,0.02) 0px 8px 8px 0px;
}

.button {
    padding: 0.5rem 1rem;
    font-size: calc(1.25rem + 0.75svw);
    font-family: var(--font-title);
    border: none;
    border-radius: 0.5rem;
    cursor: pointer;
    transition: all 0.3s ease;
    background-color: var(--text-color);
    color: var(--background-color);
}
.button:hover {
    scale: 1.05;
}

nav p {
    transition: all 0.3s ease-in;
    opacity: 0;
    position: fixed;
    top: 1rem;
    left: 1rem;
    width: fit-content;
    padding: 1rem;
    background-color: var(--primary-color);
    color: var(--secondary-color);
    z-index: 1000;

}

